GNU bug report logs - #37428
Keyboard layout setting fails when no keyboard is attached

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: dario <dario.klingenberg@HIDDEN>; dated Mon, 16 Sep 2019 16:15:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 37428 <at> debbugs.gnu.org:


Received: (at 37428) by debbugs.gnu.org; 23 Sep 2019 17:00:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 23 13:00:15 2019
Received: from localhost ([127.0.0.1]:36978 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iCRh8-0006Az-Bo
	for submit <at> debbugs.gnu.org; Mon, 23 Sep 2019 13:00:14 -0400
Received: from mout.web.de ([212.227.17.12]:58543)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dario.klingenberg@HIDDEN>) id 1iCRgv-0005xy-Ci
 for 37428 <at> debbugs.gnu.org; Mon, 23 Sep 2019 13:00:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1569257988;
 bh=9PFCBsrbpk/KJJe3Mvi+NwCI3qLb1Vq4Xy6G1B78rWI=;
 h=X-UI-Sender-Class:References:From:To:Cc:Subject:In-reply-to:Date;
 b=isdwv47tUwhHstSqiZ8YxuY11GQkjXSP8/H5rxV7UFyyHFa7ik/4VoeYEWKVoJD7O
 WyJaCtzavthpbqN7ZGrU/eRvc5Wj0bVTAxUkp283+j2KaD0omT3IdeTiwS/qsMV3LT
 wcXIJC5uUTvy6m1W//7ieXJwmz3I23ZU5Xb7Tiik=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from klingenberg-tablet ([95.222.215.247]) by smtp.web.de (mrweb101
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0LkPrz-1hbj5z1uNX-00cUnS; Mon, 23
 Sep 2019 18:59:48 +0200
References: <87o8zkqmt3.fsf@HIDDEN> <87tv98vw1y.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: dario <dario.klingenberg@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#37428: Keyboard layout setting fails when no keyboard is
 attached
In-reply-to: <87tv98vw1y.fsf@HIDDEN>
Date: Mon, 23 Sep 2019 18:59:46 +0200
Message-ID: <87sgonhrst.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:YZ4r70el2gII5yFx6BCyIYctNreZLFZaEqkb6tpSrH7ROD7/Oe1
 hRuFbdNcSLMdIPG3AioDgyLJY5OexmDWU4Ojq6FgHs7zgK2BY0shZgV1M+CtfoXldF04EGH
 dX8/d9r+E5MKBNzdnEnjP4RUkY+HunpAlqrMaThRPWAUIAUBeMDzkfLPb/jjD+t+36W2m7t
 mzWJpJekN2zV3e0y5hLNQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:XLHCAkNLd4M=:9D1waLdhvXLk0aA5Pc0mEy
 iaiWgNRY3rmS+ocU5sSpUOxrdQlM6S2tKq/qEmZtC4czfd1cv8NoSZgZ7ccN3vTXwbsMFq5hx
 tcmMzqmHJ3onUg6VNqilL/OJ8DAakU1yqv1Di4nj37Mv1XdhA40nsnk6QKcSn52SfUGoF6KUq
 Ug4Ysc9WZdf7NdKvlI2xpFM866kQtd568ARN4/TrEf4TjRsnfMP/j/IVxwyUYG2L6lCqa3P7q
 +liJCsCjdiJFZm0b2NrqQUM3RXt05xN+3bLPRFd+RJp8Po+DCRiCL88tRUot026N4WVH4wPv7
 kdw1WmbEJlDSBUNA3bLk5bIwO3/le/LmMxq4falI3pkX5Ug9F/qraFB6hj111Do9Yzx7NvAaA
 kAtLvtF9OAHCGxQyo0l72pgroWiq40cR8arA1tAK2szc92AhFnM+RU2hXul5Mf3kZW4u6NViR
 EmshzGVJfPaquprMEUSq9Xo/p3fzmMkFVKB9FaBQDbzgzSQBV+GKPshgxTfHwfU941SSGZGA9
 Z9/thOOh62UsKmbGHUTkyNnTVbVcQBdVSLFlcLLcHacIYhKFTaRDY677DKjytk3i57Yefc8bI
 gdsdh2ToBnCtwH/74lPPdcTqsZnZy/o4ulZfQG08Qf34lOREHQjjRNGacmFyofV+FKlDs7unw
 QdrOpOEG50Cyrt1uVofKDCxxwvGAejkmET2LUX3FoIwu/uQU3NnwHXavJxy8dr2Q+xfcfcxwm
 9inRaEBdYDPt0vI+JacNYd3yOH2Ut8WKLEsRfbAR5SWYYSrMK0SDyIqZ+gB3/rAi4BF2g3HJH
 vSRrO84WsyBugTP478+k6qo2cm1U7TXB+uKTE4ZS+9VKYKYoD+KVTX37RZ8SrbZE1V0ZK9F6a
 cq+67ndGfuOW49kjaNYevflm5W7s+BDdXAlkO3YpC1Uqtw1N2P1UWZw/37S7RY82PONeJwygF
 DlF3JZD9108kr4+5CM2DtOYAFwV1jT0HkYSqykrHbqsTubziDfUiZhn7Wb+5bRoE5CYJFpy8G
 XS1YhdIXiMSUdifSgZ5CCJHi6Ar/H5zRkvnqzHm57GO3XH1dYuhVjS1EUqkSKTeItyaw1HZn8
 +nTWewQZfyjFzy/wdAOk2XILMiwCtJaPRL/27Vt59JTQk+A49x5D5oblhD7pVObudXd4Fkg3C
 egAUOEaSWIinAA/2pj9smEN43E0ESMEb045LCCjiF5rmy5vXo6IkZjH1BzTVMKGsczpy2+74t
 QhNpCNdwijIEnDH7FbljtqsMy8uKBRE+gbJ+EauD6fckl1U9dCkFtWjO7+GA=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37428
X-Mailman-Approved-At: Mon, 23 Sep 2019 13:00:13 -0400
Cc: 37428 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello Ludo,


> Are you using GNOME, or Xfce, or some lightweight window manager?
I am using EXWM. Interestingly, when using GNOME, the problem does not appe=
ar.

> When the X11 keyboard layout is incorrect, are there any hints in
> ~/.local/share/xorg/Xorg.1.log as to why?
Maybe this is relevant? As far as I can tell, this all looks fine.
[    39.298] (II) XINPUT: Adding extended input device "Logitech K520" (typ=
e: KEYBOARD, id 10)
[    39.298] (**) Option "xkb_rules" "evdev"
[    39.298] (**) Option "xkb_layout" "de"
[    39.298] (**) Option "xkb_variant" "nodeadkeys"
[    39.298] (**) Option "xkb_options" "ctrl:nocaps"
[    39.298] (II) evdev: Logitech K520: initialized for relative axes.
[    39.298] (WW) evdev: Logitech K520: ignoring absolute axes.
[    39.298] (**) Logitech K520: (accel) keeping acceleration scheme 1
[    39.298] (**) Logitech K520: (accel) acceleration profile 0
[    39.298] (**) Logitech K520: (accel) acceleration factor: 2.000
[    39.298] (**) Logitech K520: (accel) acceleration threshold: 4
I also searched for errors and warnings, but did not find anything suspicio=
us.

Also, it turns out that when attaching the tablet keyboard, the layout
is also set correctly for the external keyboard, even when the tablet
keyboard is removed again.


Best,

Dario


Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hello,
>
> dario <dario.klingenberg@HIDDEN> skribis:
>
>> When the keyboard is attached, the keyboard layout is set correctly in
>> the TTY and in the graphical session. However, without the keyboard
>> attached, even when an external USB-keyboard is attached, the keyboard
>> layout is only set correctly in the TTY, but in the graphical session,
>> the default QWERTY layout is set.
>
> Are you using GNOME, or Xfce, or some lightweight window manager?
>
> When the X11 keyboard layout is incorrect, are there any hints in
> ~/.local/share/xorg/Xorg.1.log as to why?
>
> Thanks,
> Ludo=E2=80=99.





Information forwarded to bug-guix@HIDDEN:
bug#37428; Package guix. Full text available.

Message received at 37428 <at> debbugs.gnu.org:


Received: (at 37428) by debbugs.gnu.org; 19 Sep 2019 21:03:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 19 17:02:59 2019
Received: from localhost ([127.0.0.1]:56504 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iB3Zr-0000V9-Ja
	for submit <at> debbugs.gnu.org; Thu, 19 Sep 2019 17:02:59 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42347)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1iB3Zp-0000Ux-Ho
 for 37428 <at> debbugs.gnu.org; Thu, 19 Sep 2019 17:02:58 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56270)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1iB3Zj-0008NX-W9; Thu, 19 Sep 2019 17:02:52 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=43270 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1iB3Zi-00039O-Vk; Thu, 19 Sep 2019 17:02:51 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: dario <dario.klingenberg@HIDDEN>
Subject: Re: bug#37428: Keyboard layout setting fails when no keyboard is
 attached
References: <87o8zkqmt3.fsf@HIDDEN>
Date: Thu, 19 Sep 2019 23:02:49 +0200
In-Reply-To: <87o8zkqmt3.fsf@HIDDEN> (dario's message of "Mon, 16 Sep 2019
 17:32:31 +0200")
Message-ID: <87tv98vw1y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37428
Cc: 37428 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

dario <dario.klingenberg@HIDDEN> skribis:

> When the keyboard is attached, the keyboard layout is set correctly in
> the TTY and in the graphical session. However, without the keyboard
> attached, even when an external USB-keyboard is attached, the keyboard
> layout is only set correctly in the TTY, but in the graphical session,
> the default QWERTY layout is set.

Are you using GNOME, or Xfce, or some lightweight window manager?

When the X11 keyboard layout is incorrect, are there any hints in
~/.local/share/xorg/Xorg.1.log as to why?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#37428; Package guix. Full text available.

Message received at 37428 <at> debbugs.gnu.org:


Received: (at 37428) by debbugs.gnu.org; 19 Sep 2019 14:31:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 19 10:31:57 2019
Received: from localhost ([127.0.0.1]:56270 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAxTQ-0007ul-R8
	for submit <at> debbugs.gnu.org; Thu, 19 Sep 2019 10:31:57 -0400
Received: from mout.web.de ([212.227.15.3]:46123)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dario.klingenberg@HIDDEN>) id 1iApXC-0007gz-CT
 for 37428 <at> debbugs.gnu.org; Thu, 19 Sep 2019 02:03:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1568872977;
 bh=pq2JfcjpkfGecj399zsu/OX8sh3ea4vcm2ifc2hiKqs=;
 h=X-UI-Sender-Class:References:From:To:Cc:Subject:In-reply-to:Date;
 b=EHu7LiSudS7zSOwKaPsoOCqMYhKpnpwIFNDZ59b0S/7KkMdWRhDjhMuS6Q50ndUoN
 tcUNwTrRzDQEj1HYem7zPhs4nFxGMAT5GhBt85VsMkisDJLi/EikinY7Lum/8GfkCU
 hbC1hu91rVF3Xx2Fa2C181/76b1kQdF37+pN0+7A=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from klingenberg-pc ([130.83.248.192]) by smtp.web.de (mrweb002
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0Letgd-1hrSM23Rh1-00qiPh; Thu, 19
 Sep 2019 08:02:57 +0200
References: <87o8zkqmt3.fsf@HIDDEN>
 <1fc38e2e5b22550263acc701cba4c8dc.squirrel@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: dario <dario.klingenberg@HIDDEN>
To: quiliro@HIDDEN
Subject: Re: bug#37428: Keyboard layout setting fails when no keyboard is
 attached
In-reply-to: <1fc38e2e5b22550263acc701cba4c8dc.squirrel@HIDDEN>
Date: Thu, 19 Sep 2019 08:02:56 +0200
Message-ID: <87ef0crffz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:dP8bBBR7RJ25Y/wkiBwJbjswVUnoEZT1xTz4+TOOybTVVr/pFuy
 Yj2ESHodD08JFLCah86oPCJdTk63fBjkTEchO40uJnklrzTguhj70PWsQ9+A8B5y832f96W
 DTJn8ghNpVfZJ9bhkawkxQ/7De1ppIQAsF7e1Crxc3dUac8GhzV5pqHu1RpKZ60Ws4mhOJI
 dutkMu91LrL3tnpYi5u+Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:rZe4j5gsVjc=:H9FozptBxPQD+pMGQf5S6Z
 gdpvuZyP+HZspM8GUQzGnbyel6Nk3W3UaKfeWw+GiI/BmPdCICi9kezqG6e3npKwKHQVz+DH2
 dhPg/LUHlP47YJDVE+g7GtHwbVLjL2JKHFAuR5fzAgnOEgQ2o+14ACxxqAhMRBEBAUa+uxSs9
 VfSbGugPVCZ/rWMbsqiEAP5vEgeCNlq/AEFciMO0W36WHGxyUncD8EuwEIqozO22PUm/jg+at
 FGR5ccSh5Lc0Tn+q3KOKy54PtcjAlrzKNteeXlSBQI0Kw56tVy9Q7rLHcqu7a8kZ4ReLB+LFt
 2/ElSgzJDIs6O3Z2awPrTHlQwxKNSJurR4e5tqm6QmWymvKnqT5n1CVlEDOZ6Mm9SbyU//2jn
 CnUPXVBakBCH6Sn6VumR05OWWMWjdIJuobBoD6RUD+42zVsgp6KVjvMdcjWMgb+qkWV/4DUv4
 iUKRRFDD+7K9avHQ9Zhtw76ZBuopzcEX2pAwE+DDTAB/2DhQIljuhHIjOsBTl8UQJ8NmLa4Pz
 8N/lRBUCoVGW7H74REzLx3aU7AmiVFjTLxgV8cEwi6fNsjHr6yuH0wue2F9bEgB8vbeehxdgm
 u67D2cgZUeYhLeE8RvjEjvgffdr4KGiRklaMcpDrnlsAp7XCVTiObiThjaeHOjQW+MXPxN9x5
 F7eyo3bSos8VbMo5e6Q6/yDhtmlzGIjZ2LD8iMVTVY3yMmsTNTa5eOh7ZetxGtL1ovArYJYdU
 0MsKIjFwdA/Qh6nlBhzvjgjG6OmqL8E1aKTVpNPGOCRCGtD9obVvgqr5cnLvZdhxRwsJZ359w
 BKmUd7VcpzBQCmZi0rirNv2RBQohLQdOuhWA7Y0FIRykx6UWygJ0ts3z387Zqb1oTcJ3ibskH
 NkA5J721pe19LNb0OX36KQOM/PLrshF4SLAjJ0cTRlp06Uhn7+NYDJEyxnfrPNjUBuuJqsWhj
 j+G+QngTaUTfV40FYoltbw/fq7sP/MxycjikynqbOm9QSSQdr3iaD4StsoKuJddXU9Sdeuugr
 /lacfLG36JJUZiqqtTp/tb52d7Vog6ERgO/bp/TLGKeTYr6jfrY1fvW+8drAyJKsgTdAfeug1
 gXLOT5GWQ95uLtiuBkmmD5vBd0P9k7aYol1+SGtEcVlEadUdgORapM0yYTcU0EDl+JDrmWJom
 bjAwQD2S3hZdNp+HpTbVPoQNzM4j5xNBXIwOJsafN80ZCnAeKX+2n3IR9ilWHzw8kkTQp0jd1
 D27s/63h4VkIgFSOWkSBjKkTzcK443ZpOhZJueB8AqUDLCG4SWCo8wihdOB8=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37428
X-Mailman-Approved-At: Thu, 19 Sep 2019 10:31:56 -0400
Cc: 37428 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This looks like what I have, apart from the fact that I use exwm and
therefore have neither gnome nor xfce services.

I just noticed that I may have messed up the parens when I copy/pasted
into the mail; in my config, they are correct.


Best regards,

Dario


quiliro@HIDDEN writes:

> This is my setting for that section:
>
>  (services (append (list
> 	    (service gnome-desktop-service-type)
>             (service xfce-desktop-service-type)
> 	    (set-xorg-configuration
> 	     (xorg-configuration             ;for Xorg
> 	      (keyboard-layout keyboard-layout))))
> 	    %desktop-services))
>
> I hope it is helpful.





Information forwarded to bug-guix@HIDDEN:
bug#37428; Package guix. Full text available.

Message received at 37428 <at> debbugs.gnu.org:


Received: (at 37428) by debbugs.gnu.org; 18 Sep 2019 04:57:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 18 00:57:08 2019
Received: from localhost ([127.0.0.1]:53467 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAS1c-0003DQ-2K
	for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 00:57:08 -0400
Received: from mx1.riseup.net ([198.252.153.129]:38706)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <quiliro@HIDDEN>) id 1iAS1b-0003DJ-5T
 for 37428 <at> debbugs.gnu.org; Wed, 18 Sep 2019 00:57:07 -0400
Received: from piha.riseup.net (piha-pn.riseup.net [10.0.1.163])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 8F77F1A11FF;
 Tue, 17 Sep 2019 21:57:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1568782626; bh=TZ0Q80FEj41LO3xxDomeL6jGLPYnel5tZFDcp2YtFrE=;
 h=In-Reply-To:References:Date:Subject:From:To:Cc:From;
 b=ni6lIx/Ql3KIfRVUTiWDJH9jegLdYkR2Bt3ivDJG8ofdEptGe+I3P3c4+XcItjHh0
 +5rTTZItyPbVtQnGRlPORcWRbRLyEPN4gc0mY7m75ChrLRlWhfzcmkM90e1IgGjVxI
 qytme0G9irtChtfuwSmQ1Rr06ItyxOHu29q3PNFU=
X-Riseup-User-ID: 74FC0FA1608DD01023EC0B2C71452F9939364FC92DF3072F726F392C76EAA666
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by piha.riseup.net (Postfix) with ESMTPSA id 171061C07E9;
 Tue, 17 Sep 2019 21:57:06 -0700 (PDT)
Received: from localhost (127.0.0.1) (SquirrelMail authenticated user quiliro)
 by sm.riseup.net with HTTP; Tue, 17 Sep 2019 23:57:06 -0500
Message-ID: <1fc38e2e5b22550263acc701cba4c8dc.squirrel@HIDDEN>
In-Reply-To: <87o8zkqmt3.fsf@HIDDEN>
References: <87o8zkqmt3.fsf@HIDDEN>
Date: Tue, 17 Sep 2019 23:57:06 -0500
Subject: Re: bug#37428: Keyboard layout setting fails when no keyboard is
 attached
From: quiliro@HIDDEN
To: "dario" <dario.klingenberg@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;charset=utf-8
Content-Transfer-Encoding: 8bit
X-Priority: 3 (Normal)
Importance: Normal
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37428
Cc: 37428 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is my setting for that section:

 (services (append (list
	    (service gnome-desktop-service-type)
            (service xfce-desktop-service-type)
	    (set-xorg-configuration
	     (xorg-configuration             ;for Xorg
	      (keyboard-layout keyboard-layout))))
	    %desktop-services))

I hope it is helpful.





Information forwarded to bug-guix@HIDDEN:
bug#37428; Package guix. Full text available.

Message received at 37428 <at> debbugs.gnu.org:


Received: (at 37428) by debbugs.gnu.org; 18 Sep 2019 04:52:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 18 00:52:31 2019
Received: from localhost ([127.0.0.1]:53463 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iARx9-00036P-G1
	for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 00:52:31 -0400
Received: from mx1.riseup.net ([198.252.153.129]:37576)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <quiliro@HIDDEN>) id 1iARx7-00036H-LE
 for 37428 <at> debbugs.gnu.org; Wed, 18 Sep 2019 00:52:30 -0400
Received: from piha.riseup.net (piha-pn.riseup.net [10.0.1.163])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id ADA4D1A1114;
 Tue, 17 Sep 2019 21:52:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1568782348; bh=ojOOIw67F2W5B+8luk8VeRUGZtpKkNilPR0JDBh6poI=;
 h=In-Reply-To:References:Date:Subject:From:To:Cc:From;
 b=Zm00MtpKaVhoMYvo/1YciJrSZFS1XByhCGHa52BRYNgJDSgW3PI7zaDOKm2M39xib
 fOHuWO5AUuljW8NEjKLuWeAVnkZkTEFv1df12yXun0Uk28Sk+CPwz0jMnOBJW18egF
 tiKjznh/UMxnEVIF40bWZw/Q2Mg6CR53x4L2S7Ck=
X-Riseup-User-ID: 2A59D447392E811553DCE62F32E0C2148AF6CA01E67C0A3A89C05EBE48A3E5A3
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by piha.riseup.net (Postfix) with ESMTPSA id B9A2C1C08F9;
 Tue, 17 Sep 2019 21:52:27 -0700 (PDT)
Received: from localhost (127.0.0.1) (SquirrelMail authenticated user quiliro)
 by sm.riseup.net with HTTP; Tue, 17 Sep 2019 23:52:28 -0500
Message-ID: <c9db1637d1040f42985d52f8cf271fc8.squirrel@HIDDEN>
In-Reply-To: <87o8zkqmt3.fsf@HIDDEN>
References: <87o8zkqmt3.fsf@HIDDEN>
Date: Tue, 17 Sep 2019 23:52:28 -0500
Subject: Re: bug#37428: Keyboard layout setting fails when no keyboard is
 attached
From: quiliro@HIDDEN
To: "dario" <dario.klingenberg@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;charset=utf-8
Content-Transfer-Encoding: 8bit
X-Priority: 3 (Normal)
Importance: Normal
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37428
Cc: 37428 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Mon, September 16, 2019 10:32 am, dario wrote:
> I have Guix system installed on a Laptop/Tablet hybrid that allows
> detaching the keyboard. In my system configuration, I set the keyboard
> layout to the German QWERTZ using
>
> (operating-system
> ...
>  (keyboard-layout
>   (keyboard-layout "de" "nodeadkeys"))
>  (bootloader
>   (bootloader-configuration
>    (bootloader grub-efi-bootloader)
>    (target "/boot/efi")
>    (keyboard-layout keyboard-layout)))
> ...
>  (services
>   (append
>    (list ...
>          (set-xorg-configuration
>           (xorg-configuration
>            (keyboard-layout keyboard-layout)
>            ...
>    %desktop-services))))))

(keyboard-layout keyboard-layout))





Information forwarded to bug-guix@HIDDEN:
bug#37428; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Sep 2019 16:14:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 16 12:14:28 2019
Received: from localhost ([127.0.0.1]:50904 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i9tdz-0003pr-2h
	for submit <at> debbugs.gnu.org; Mon, 16 Sep 2019 12:14:28 -0400
Received: from lists.gnu.org ([209.51.188.17]:60947)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dario.klingenberg@HIDDEN>) id 1i9szp-0002ft-On
 for submit <at> debbugs.gnu.org; Mon, 16 Sep 2019 11:32:58 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:60941)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <dario.klingenberg@HIDDEN>) id 1i9szn-0006gy-AP
 for bug-guix@HIDDEN; Mon, 16 Sep 2019 11:32:57 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.5 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_LOW,SPOOFED_FREEMAIL autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dario.klingenberg@HIDDEN>) id 1i9szl-00038w-NY
 for bug-guix@HIDDEN; Mon, 16 Sep 2019 11:32:54 -0400
Received: from mout.web.de ([212.227.17.12]:36257)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <dario.klingenberg@HIDDEN>)
 id 1i9szj-00033v-2C
 for bug-guix@HIDDEN; Mon, 16 Sep 2019 11:32:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1568647963;
 bh=k3T0oSKRUqF1W1iUHsWWD9aTnZMp47EaUFYJFTxJhDs=;
 h=X-UI-Sender-Class:From:To:Subject:Date;
 b=Q/HJvBt6Be8SnUpspCWT3qP+l9okWGr02UCtG0RzGcl8H7EcqyvXAVs8F/goEDrO1
 1DPRHYd3kEBM4X9zwxb4jET/RsW9Ha6qaxgcSwMWtL3XTsaV2fbSsVGqy8t9+Dpgal
 Z250i7xUicpT78s3z5pHDPK9+RsXNAhj2y5kmkCs=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from klingenberg-tablet ([95.222.214.10]) by smtp.web.de (mrweb103
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0MgfBj-1hm3943KsB-00O1SB for
 <bug-guix@HIDDEN>; Mon, 16 Sep 2019 17:32:43 +0200
User-agent: mu4e 1.2.0; emacs 26.3
From: dario <dario.klingenberg@HIDDEN>
To: bug-guix <bug-guix@HIDDEN>
Subject: Keyboard layout setting fails when no keyboard is attached
Message-ID: <87o8zkqmt3.fsf@HIDDEN>
Date: Mon, 16 Sep 2019 17:32:31 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:dOURzeIZcgeEDAJB3wqq75QZJTO4zW+IY7MEu2LLu3wU+X2ta/X
 +MJC0Euahvn6YUXATD4ZzPCr2SG8lRmXqcfjmgdMKjYXW8kYfswiw7DHCSN34vE+jy14xa3
 XNM7iQIeFjRXeb1V1+aKLjuTGnAT7drqV28QiZe98AFEigMJ0gcBzpxL7//uLkmnnweiS4u
 K/JkqKyhHJaHw5NcU6yfA==
X-UI-Out-Filterresults: notjunk:1;V03:K0:341YPeL/AcQ=:cY2qaRM5fiRcCiYj1R5kU+
 shy/HtCppQqeufAveMfMKhm0KjCi+/rxtdI1TCGeyR0shSKVfqM5M0rMmgQH+zgZGNWBygROO
 GxeJdiW+eud2iFCgwtD6DsgzACaI1xAuqf3SuUaW16a52lrv+ucS4BhAm0lxloOLpRQgthRmO
 m92eqgHHjanZMrBYtCA8j6OsFt57Vnys7oej/qfA29qATA4KmpDETPkOQvn4YI6W5V+7/fQlR
 Sy37JXNmciJg0AqlcoRKm8YR90kFVo5Dynj5NBITkjdJjIDESZRFyS9D22vsSkNfZn6wb7mYd
 issJevTcGQxBzZmY+yY9dlvB1CSa3zux5ReFCgUT426A3CNo5V7QdNIoRv5ejD2+Myg4EmwjH
 hE3kbxxp+1R6/CfNHf7LTF51FyO+BFCv0XbXJvHtCTzSpCu8VB/rKfacDT8JOSqXOVI1+LSeb
 S9PVyNS54EdeN4ed9yGfKo8TIt3Y4RuHh12xHhpyTnoake+3sRWZ1ZRYgsYlZu2VWbzeASnt5
 VB2ZQU9mZfsHPa1XqHCgqybs84fHio+NbxdlCYCYhQsOTBShJ66oHeYeGSGFWn9wnglrnQF27
 U40QcYWBppTEO/Ar5WWA2yietHfrU0ogu2COPM+F7NfC7W8wF58KHx1Pb+q+aGGWQOVtJHoIH
 zUAr7VeAsHvGJvBhaKK6Kg1/+ox1WT1EAosX4BOFFn3ye5Rbz5h4+J5wyRzprXggYIoxheTFQ
 WokG8Z5yhpMBhCTxah8QBk788oH1x8hwSJdKoNxUhn/FSNl1TWyK4w0KNva5jnL97TMCHZruU
 IIvw5tu0cmDmpW1NE9wYyPm4QEVEB7YD54qbXZ/fa3uw27239RxPX2/TH2EX7V5JiiJ/TONQc
 AyJ7emjJyGWFFwOZJA3otyF+7M4/Arw50aqzJIK8qW1K/EnsC6X6AtiWQQe8n4LB6lJLXVuHD
 HbaPmZ7l5mBzxJIQ9lluTL+NsK5NXXY0HLvEP2VHHFHSpgvXrvTmZCPaOeIIZF/40yTblvEts
 kKVhqJ0pCRdciHU9kkzrHqSNSbLQDLatChWIQJhKZBiFOT8TIkUPBopUjl06jaSgyeFfjv82/
 UOY8U5TdhH1ut/dcTjh0LiCAt5njeyTew9kxAe97+NIe6j4KqO4NIK/f7dj2P1lJs6tuSPXDt
 vx18R5kBw/Jzx29X35hjyWkcOZORAU/hZKr6WbK9tVvfbY9JQrllLvrQHJsGEiwsKrBdEAvdD
 B66pHYhn4Dk3F/T2m1PW79r08JKVxxSL9TGzN3aZieHnCQo84r+BwVS8XpGs=
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 212.227.17.12
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 16 Sep 2019 12:14:26 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

I have Guix system installed on a Laptop/Tablet hybrid that allows
detaching the keyboard. In my system configuration, I set the keyboard
layout to the German QWERTZ using

(operating-system
...
 (keyboard-layout
  (keyboard-layout "de" "nodeadkeys"))
 (bootloader
  (bootloader-configuration
   (bootloader grub-efi-bootloader)
   (target "/boot/efi")
   (keyboard-layout keyboard-layout)))
...
 (services
  (append
   (list ...
         (set-xorg-configuration
          (xorg-configuration
           (keyboard-layout keyboard-layout)
           ...
   %desktop-services))))))

When the keyboard is attached, the keyboard layout is set correctly in
the TTY and in the graphical session. However, without the keyboard
attached, even when an external USB-keyboard is attached, the keyboard
layout is only set correctly in the TTY, but in the graphical session,
the default QWERTY layout is set.

This issue is obviously very easy to work around by either attaching the
keyboard or using setxkbmap, but the behaviour seems strange enough to
warrant reporting.

Best regards,
Dario




Acknowledgement sent to dario <dario.klingenberg@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#37428; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 23 Sep 2019 17:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.